<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new">
    <form class="ui form" id="workitemworklog-form" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_WORKLOG_SAVE}}" th:object="${workItemWorkLog}">
      <input type="hidden" th:field="${workItemWorkLog.workItem}" th:value="${workItem}" />
      <input type="hidden" th:field="${workItemWorkLog.id}" />
      <input type="hidden" th:field="${workItemWorkLog.created}" />
      <input type="hidden" th:field="${workItemWorkLog.createdBy}" />
      <input id="limit" th:if="${limit} != null" th:value="${limit}" type="hidden" />
      <div class="ui grid">
        <div class="row">
          <div class="column">
            <h2 class="ui dividing header">
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS_HOURSTAB_BIG}"></i>
              <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKLOG}}"></span>
            </h2>
            <div class="fields">
              <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}, 
					                                                   field = 'timeSpent', 
					                                                   required = true, 
					                                                   placeholder = 'Hours Spent',
					                                                   maxlength = 1,
					                                                   columnsize = 'two wide'
					                                                   )" />
              <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ETC}}, 
					                                                   field = 'etc', 
					                                                   required = true, 
					                                                   placeholder = 'Hours to finish!',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
              <th:block th:replace="common/fragments/input :: dropdownlistsearchable(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVITY}}, 
                                                                                     field = 'activity', 
                                                                                     options = ${activities},
                                                                                     optionfield = 'item.name',
                                                                                     optionfieldlabel = 'item.number',
                                                                                     required = true,
                                                                                     columnsize = 'seven wide'
                                                                                     )" />
              <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TYPESOFWORK}}, 
					                                                       field = 'typeOfWork.id', 
					                                                       required = true,
					                                                       options = ${typesofworks},
					                                                       optionfield = 'item.name', 
					                                                       columnsize = 'three wide',
                                                                           emptyoption = true
					                                                       )" />
              <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}, 
					                                                   field = 'day', 
					                                                   required = true,
					                                                   value = ${#dates.format(workItemWorkLog.day, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'two wide'
					                                                   )" />
            </div>
            <div class="field">
              <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
					                                                   field = 'description', 
					                                                   required = false, 
					                                                   placeholder = 'Tell us more.',
					                                                   columnsize = 'sixteen wide',
					                                                   maxlength = ''
					                                                   )" />
            </div>
            <br />
            <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                    icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                    icon1url = ''
                                                                    )" />
          </div>
        </div>
      </div>
    </form>
  </th:block>
</body>
</html>
